Subject: bug#57572: 29.0.50; Tramp error with tramp-file-name-unify

From: Thierry Volpiatto <[email-masked]>
Date: Sun, 11 Sep 2022 06:49:10 +0000

Michael Albinus <[email-masked]> writes:

> But wait, you are in file name completion.

Yes, but not sure tramp detects a "file name completion" here as it is
not a standard completion used here.

> So I guess you have bound `non-essential' to t. In that case,
> `expand-file-name' expands only, if the connection is established
> already.

I have now bound non-essential to nil _before_ calling
file-accessible-directory-p and I have no error.
Perhaps it is the right way to do?

Note that the tramp process is not detected (nil), even if all work fine:

Tramp: Opening connection nil for root@IPad-S340 using sudo...done

-- 
Thierry